Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90	(revision 8534)
@@ -3,6 +3,5 @@
    !!                       ***  MODULE  icestp  ***
    !! Surface module :  update the ocean surface boundary condition over ice
-   !!       &           covered area using LIM sea-ice model
-   !! Sea-Ice model  :  LIM-3 Sea ice model time-stepping
+   !!                   covered area using ESIM sea-ice model
    !!=====================================================================
    !! History :  2.0  ! 2006-12  (M. Vancoppenolle) Original code
@@ -17,9 +16,8 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                    LIM 3.0 sea-ice model
-   !!----------------------------------------------------------------------
-   !!   ice_stp       : sea-ice model time-stepping and update ocean surf. boundary cond. over ice-covered area
-   !!   ice_init      :
-   !!   ice_run_init  : 
+   !!   'key_lim3'                                       ESIM sea-ice model
+   !!----------------------------------------------------------------------
+   !!   ice_stp       : sea-ice model time-stepping and update ocean SBC over ice-covered area
+   !!   ice_init      : initialize sea-ice
    !!----------------------------------------------------------------------
    USE oce            ! ocean dynamics and tracers
@@ -29,27 +27,21 @@
    USE ice1D          ! sea-ice: thermodynamical 1D variables
    !
+   USE phycst         ! Define parameters for the routines
+   USE eosbn2         ! equation of state
    USE sbc_oce        ! Surface boundary condition: ocean fields
    USE sbc_ice        ! Surface boundary condition: ice   fields
+   !
    USE iceforcing     ! sea-ice: Surface boundary condition       !!gm why not icesbc module name
-   !
-   USE phycst         ! Define parameters for the routines
-   USE eosbn2         ! equation of state
-   USE icerhg         ! sea-ice: rheology
-   USE iceadv         ! sea-ice: advection
    USE icedyn         ! sea-ice: dynamics
    USE icethd         ! sea-ice: thermodynamics
-   USE icerdgrft      ! sea-ice: ridging/rafting
+   USE limmp          ! sea-ice: melt ponds
+   USE icecor         ! sea-ice: corrections
    USE iceupdate      ! sea-ice: sea surface boundary condition update
    USE icedia         ! sea-ice: budget diagnostics
    USE icewri         ! sea-ice: outputs
    USE icerst         ! sea-ice: restarts
-   USE icecor         ! sea-ice: corrections
    USE icevar         ! sea-ice: operations
    USE icectl         ! sea-ice: control
-   ! MV MP 2016
-   USE limmp          ! sea-ice: melt ponds
-   ! END MV MP 2016
    USE iceistate      ! sea-ice: initial state
-   USE icethd_sal     ! sea-ice: thermodynamics and salinity
    USE iceitd         ! sea-ice: remapping thickness distribution
    USE icealb         ! sea-ice: albedo
@@ -65,9 +57,8 @@
    USE in_out_manager ! I/O manager
    USE iom            ! I/O manager library
+   USE lib_mpp        ! MPP library
+   USE lib_fortran    ! fortran utilities (glob_sum + no signed zero)
+   USE timing         ! Timing
    USE prtctl         ! Print control
-   USE lib_fortran    ! 
-   USE lbclnk         ! lateral boundary condition - MPP link
-   USE lib_mpp        ! MPP library
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -202,12 +193,12 @@
 !!         IF( .NOT. Agrif_Root() )   CALL Agrif_ParentGrid_To_ChildGrid()
 !!# endif
-         IF( ln_icediahsb )         CALL ice_dia( kt )        ! -- Diagnostics and outputs 
-         !
-                                    CALL ice_wri( 1 )         ! -- Ice outputs 
-         !
-         !
-         IF( lrst_ice )             CALL ice_rst_write( kt )  ! -- Ice restart file 
-         !
-         IF( ln_icectl )            CALL ice_ctl( kt )        ! alerts in case of model crash
+         IF( ln_icediahsb )         CALL ice_dia( kt )          ! -- Diagnostics and outputs 
+         !
+                                    CALL ice_wri( 1 )           ! -- Ice outputs 
+         !
+         !
+         IF( lrst_ice )             CALL ice_rst_write( kt )    ! -- Ice restart file 
+         !
+         IF( ln_icectl )            CALL ice_ctl( kt )          ! -- alerts in case of model crash
          !
       ENDIF   ! End sea-ice time step only
@@ -230,5 +221,5 @@
       !!                  ***  ROUTINE ice_init  ***
       !!
-      !! ** purpose :   Allocate all the dynamic arrays of the LIM-3 modules
+      !! ** purpose :   Initialize sea-ice parameters
       !!----------------------------------------------------------------------
       INTEGER :: ji, jj, ierr
@@ -265,6 +256,6 @@
          CALL ice_rst_read
       ENDIF
+      CALL ice_var_glo2eqv
       CALL ice_var_agg(2)
-      CALL ice_var_glo2eqv
       !
       CALL ice_forcing_init            ! set ice-ocean and ice-atm. coupling parameters
@@ -301,7 +292,7 @@
       !!                  ***  ROUTINE par_init ***
       !!
-      !! ** Purpose :   Definition some run parameter for ice model
-      !!
-      !! ** Method  :   Read the nampar namelist and check the parameter
+      !! ** Purpose :   Definition generic parameters for ice model
+      !!
+      !! ** Method  :   Read namelist and check the parameter
       !!                values called at the first timestep (nit000)
       !!
@@ -444,5 +435,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option           Dummy module      NO LIM 3.0 sea-ice model
+   !!   Default option           Dummy module         NO ESIM sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icetab.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icetab.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icetab.F90	(revision 8534)
@@ -2,10 +2,12 @@
    !!======================================================================
    !!                       ***  MODULE icetab   ***
-   !!   LIM ice model : transform 1D (2D) array to a 2D (1D) table
+   !!   sea-ice : transform 1D (2D) array to a 2D (1D) table
    !!======================================================================
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                      LIM3 sea-ice model
+   !!   'key_lim3'                                       ESIM sea-ice model
    !!----------------------------------------------------------------------
+   !!   tab_3d_2d  : 3-D <==> 2-D
+   !!   tab_2d_3d  : 2-D <==> 3-D
    !!   tab_2d_1d  : 2-D <==> 1-D
    !!   tab_1d_2d  : 1-D <==> 2-D
@@ -111,5 +113,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option           Dummy module      NO LIM 3.0 sea-ice model
+   !!   Default option           Dummy module         NO ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90	(revision 8534)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                  ***  MODULE icethd   ***
-   !!  LIM-3 :   ice thermodynamic
+   !!   sea-ice : master routine for thermodynamics
    !!======================================================================
    !! History :  LIM  ! 2000-01 (M.A. Morales Maqueda, H. Goosse, T. Fichefet) LIM-1
@@ -15,32 +15,32 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                       LIM3 sea-ice model
-   !!----------------------------------------------------------------------
-   !!   ice_thd       : thermodynamic of sea ice
-   !!   ice_thd_init  : initialisation of sea-ice thermodynamic
+   !!   'key_lim3'                                       ESIM sea-ice model
+   !!----------------------------------------------------------------------
+   !!   ice_thd       : thermodynamics of sea ice
+   !!   ice_thd_init  : initialisation of sea-ice thermodynamics
    !!----------------------------------------------------------------------
    USE phycst         ! physical constants
    USE dom_oce        ! ocean space and time domain variables
-   USE ice            ! sea-ice variables
+   USE ice            ! sea-ice: variables
 !!gm list trop longue ==>>> why not passage en argument d'appel ?
    USE sbc_oce , ONLY : sss_m, sst_m, e3t_m, utau, vtau, ssu_m, ssv_m, frq_m, qns_tot, qsr_tot, sprecip, ln_cpl
    USE sbc_ice , ONLY : qsr_oce, qns_oce, qemp_oce, qsr_ice, qns_ice, dqns_ice, evap_ice, qprec_ice, qevap_ice, &
       &                 fr1_i0, fr2_i0
-   USE ice1D          ! thermodynamic sea-ice variables
-   USE icethd_zdf     ! vertical diffusion
-   USE icethd_dh      ! ice-snow growth and melt
-   USE icethd_da      ! lateral melting
-   USE icethd_sal     ! ice salinity
-   USE icethd_ent     ! ice enthalpy redistribution
-   USE icethd_do      ! lateral accretion
-   USE iceitd         ! remapping thickness distribution
-   USE icetab         ! 1D <==> 2D transformation
-   USE icevar         !
-   USE icectl         ! control print
+   USE ice1D          ! sea-ice: thermodynamics variables
+   USE icethd_zdf     ! sea-ice: vertical heat diffusion
+   USE icethd_dh      ! sea-ice: ice-snow growth and melt
+   USE icethd_da      ! sea-ice: lateral melting
+   USE icethd_sal     ! sea-ice: salinity
+   USE icethd_ent     ! sea-ice: enthalpy redistribution
+   USE icethd_do      ! sea-ice: growth in open water
+   USE iceitd         ! sea-ice: remapping thickness distribution
+   USE icetab         ! sea-ice: 1D <==> 2D transformation
+   USE icevar         ! sea-ice: operations
+   USE icectl         ! sea-ice: control print
    !
    USE in_out_manager ! I/O manager
-   USE lbclnk         ! lateral boundary condition - MPP links
    USE lib_mpp        ! MPP library
-   USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
+   USE lib_fortran    ! fortran utilities (glob_sum + no signed zero)
+   USE lbclnk         ! lateral boundary conditions (or mpp links)
    USE timing         ! Timing
 
@@ -84,4 +84,6 @@
       !!             - call ice_thd_da   for lateral ice melt
       !!             - back to the geographic grid
+      !!             - call ice_thd_rem  for remapping thickness distribution
+      !!             - call ice_thd_do   for ice growth in leads
       !!---------------------------------------------------------------------
       INTEGER, INTENT(in) :: kt    ! number of iteration
@@ -578,5 +580,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option         Dummy module          NO  LIM3 sea-ice model
+   !!   Default option         Dummy module          NO  ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_da.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_da.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_da.F90	(revision 8534)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                       ***  MODULE icethd_da ***
-   !! LIM-3 sea-ice :  computation of lateral melting in the ice
+   !!   sea-ice : lateral melting
    !!======================================================================
    !! History :  4.0  ! 2016-03 (C. Rousset)  original code
@@ -8,7 +8,8 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                      LIM-3 sea-ice model
-   !!----------------------------------------------------------------------
-   !!   ice_thd_da    : sea ice lateral melting
+   !!   'key_lim3'                                       ESIM sea-ice model
+   !!----------------------------------------------------------------------
+   !!   ice_thd_da        : sea ice lateral melting
+   !!   ice_thd_da_init   : sea ice lateral melting initialization
    !!----------------------------------------------------------------------
    USE par_oce        ! ocean parameters
@@ -195,5 +196,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option         Dummy Module          No LIM-3 sea-ice model
+   !!   Default option         Dummy Module           NO ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_dh.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_dh.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_dh.F90	(revision 8534)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                       ***  MODULE icethd_dh ***
-   !!  LIM-3 :   thermodynamic growth and decay of the ice 
+   !!   seaice : thermodynamic growth and melt 
    !!======================================================================
    !! History :  LIM  ! 2003-05 (M. Vancoppenolle) Original code in 1D
@@ -12,23 +12,24 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                       LIM3 sea-ice model
+   !!   'key_lim3'                                       ESIM sea-ice model
    !!----------------------------------------------------------------------
-   !!   ice_thd_dh    : vertical accr./abl. and lateral ablation of sea ice
-   !!----------------------------------------------------------------------
-   USE par_oce        ! ocean parameters
-   USE phycst         ! physical constants (OCE directory) 
-   USE ice            ! LIM variables
-   USE ice1D          ! LIM thermodynamics
+   !!   ice_thd_dh        : vertical sea-ice growth and melt
+   !!   ice_thd_snwblow   : distribute snow fall between ice and ocean
+  !!----------------------------------------------------------------------
+   USE dom_oce        ! ocean space and time domain
+   USE phycst         ! physical constants
+   USE ice            ! sea-ice: variables
+   USE ice1D          ! sea-ice: thermodynamics variables
    USE icethd_sal     ! sea-ice: salinity profiles
    !
    USE in_out_manager ! I/O manager
    USE lib_mpp        ! MPP library
-   USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
+   USE lib_fortran    ! fortran utilities (glob_sum + no signed zero)
    
    IMPLICIT NONE
    PRIVATE
 
-   PUBLIC   ice_thd_dh      ! called by ice_thd
-   PUBLIC   ice_thd_snwblow ! called in sbcblk/sbcclio/sbccpl and here
+   PUBLIC   ice_thd_dh        ! called by ice_thd
+   PUBLIC   ice_thd_snwblow   ! called in sbcblk/sbcclio/sbccpl and here
 
    INTERFACE ice_thd_snwblow
@@ -47,5 +48,5 @@
       !!                ***  ROUTINE ice_thd_dh  ***
       !!
-      !! ** Purpose :   determines variations of ice and snow thicknesses.
+      !! ** Purpose :   compute ice and snow thickness changes due to growing/melting
       !!
       !! ** Method  :   Ice/Snow surface melting arises from imbalance in surface fluxes
@@ -679,5 +680,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option                               NO  LIM3 sea-ice model
+   !!   Default option                                NO ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_do.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_do.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_do.F90	(revision 8534)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                       ***  MODULE icethd_do   ***
-   !!                lateral thermodynamic growth of the ice 
+   !!   sea-ice: sea ice growth in the leads (open water)  
    !!======================================================================
    !! History :  LIM  ! 2005-12 (M. Vancoppenolle)  Original code
@@ -11,14 +11,14 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                       LIM3 sea-ice model
-   !!----------------------------------------------------------------------
-   !!   ice_thd_do   : ice growth in open water (=lateral accretion of ice)
-   !!----------------------------------------------------------------------
-   USE par_oce        ! ocean parameters
-   USE dom_oce        ! domain variables
+   !!   'key_lim3'                                       ESIM sea-ice model
+   !!----------------------------------------------------------------------
+   !!   ice_thd_do        : ice growth in open water (=lateral accretion of ice)
+   !!   ice_thd_do_init   : initialization
+   !!----------------------------------------------------------------------
+   USE dom_oce        ! ocean space and time domain
    USE phycst         ! physical constants
    USE sbc_oce , ONLY : sss_m
    USE sbc_ice , ONLY : utau_ice, vtau_ice
-   USE ice1D          ! sea-ice: thermodynamics
+   USE ice1D          ! sea-ice: thermodynamics variables
    USE ice            ! sea-ice: variables
    USE icetab         ! sea-ice: 2D <==> 1D
@@ -30,6 +30,6 @@
    USE in_out_manager ! I/O manager
    USE lib_mpp        ! MPP library
-   USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
-   USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
+   USE lib_fortran    ! fortran utilities (glob_sum + no signed zero)
+   USE lbclnk         ! lateral boundary conditions (or mpp links)
 
    IMPLICIT NONE
@@ -59,5 +59,4 @@
       !! ** Purpose : Computation of the evolution of the ice thickness and 
       !!      concentration as a function of the heat balance in the leads.
-      !!      It is only used for lateral accretion
       !!       
       !! ** Method  : Ice is formed in the open water when ocean lose heat
@@ -495,5 +494,5 @@
       !!                 
       !! ** Purpose :   Physical constants and parameters associated with
-      !!                ice thermodynamics
+      !!                ice growth in the leads
       !!
       !! ** Method  :   Read the namthd_do namelist and check the parameters
@@ -534,5 +533,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option                               NO  LIM3 sea-ice model
+   !!   Default option                                NO ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_ent.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_ent.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_ent.F90	(revision 8534)
@@ -2,7 +2,6 @@
    !!======================================================================
    !!                       ***  MODULE icethd_ent   ***
-   !!                  Redistribution of Enthalpy in the ice
-   !!                        on the new vertical grid
-   !!                       after vertical growth/decay
+   !!   sea-ice: redistribution of enthalpy in the ice on the new vertical grid
+   !!                       after vertical growth/melt
    !!======================================================================
    !! History :  LIM  ! 2003-05 (M. Vancoppenolle) Original code in 1D
@@ -15,14 +14,13 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                       LIM3 sea-ice model
+   !!   'key_lim3'                                       ESIM sea-ice model
    !!----------------------------------------------------------------------
    !!   ice_thd_ent   : ice redistribution of enthalpy
    !!----------------------------------------------------------------------
-   USE par_oce        ! ocean parameters
    USE dom_oce        ! domain variables
    USE domain         !
    USE phycst         ! physical constants
-   USE ice            ! LIM variables
-   USE ice1D          ! LIM thermodynamics
+   USE ice            ! sea-ice: variables
+   USE ice1D          ! sea-ice: thermodynamics variables
    !
    USE in_out_manager ! I/O manager
@@ -67,12 +65,12 @@
       !! References : Bitz & Lipscomb, JGR 99; Vancoppenolle et al., GRL, 2005
       !!-------------------------------------------------------------------
-      REAL(wp), INTENT(inout), DIMENSION(:,:) :: qnew          ! new enthlapies (J.m-3, remapped)
-
+      REAL(wp), DIMENSION(:,:), INTENT(inout) ::   qnew             ! new enthlapies (J.m-3, remapped)
+      !
       INTEGER  :: ji         !  dummy loop indices
       INTEGER  :: jk0, jk1   !  old/new layer indices
       !
-      REAL(wp), DIMENSION(jpij,0:nlay_i+2) :: zeh_cum0, zh_cum0   ! old cumulative enthlapies and layers interfaces
-      REAL(wp), DIMENSION(jpij,0:nlay_i)   :: zeh_cum1, zh_cum1   ! new cumulative enthlapies and layers interfaces
-      REAL(wp), DIMENSION(jpij)            :: zhnew               ! new layers thicknesses
+      REAL(wp), DIMENSION(jpij,0:nlay_i+2) ::   zeh_cum0, zh_cum0   ! old cumulative enthlapies and layers interfaces
+      REAL(wp), DIMENSION(jpij,0:nlay_i)   ::   zeh_cum1, zh_cum1   ! new cumulative enthlapies and layers interfaces
+      REAL(wp), DIMENSION(jpij)            ::   zhnew               ! new layers thicknesses
       !!-------------------------------------------------------------------
 
@@ -141,5 +139,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option                               NO  LIM3 sea-ice model
+   !!   Default option                                NO ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_sal.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_sal.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_sal.F90	(revision 8534)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                       ***  MODULE icethd_sal ***
-   !! LIM-3 sea-ice :  computation of salinity variations in the ice
+   !!   sea-ice : computation of salinity variations in the ice
    !!======================================================================
    !! History :   -   ! 2003-05 (M. Vancoppenolle) UCL-ASTR first coding for LIM3-1D
@@ -10,17 +10,18 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                      LIM-3 sea-ice model
+   !!   'key_lim3'                                       ESIM sea-ice model
    !!----------------------------------------------------------------------
-   !!   ice_thd_sal   : salinity variations in the ice
+   !!   ice_thd_sal        : salinity variations in the ice
+   !!   ice_thd_sal_init   : initialization
    !!----------------------------------------------------------------------
-   USE par_oce        ! ocean parameters
-   USE phycst         ! physical constants (ocean directory)
-   USE ice            ! LIM variables
-   USE ice1D          ! LIM thermodynamics
-   USE icevar         ! LIM variables
+   USE dom_oce        ! ocean space and time domain
+   USE phycst         ! physical constants
+   USE ice            ! sea-ice: variables
+   USE ice1D          ! sea-ice: thermodynamics variables
+   USE icevar         ! sea-ice: operations
    !
    USE in_out_manager ! I/O manager
    USE lib_mpp        ! MPP library
-   USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
+   USE lib_fortran    ! fortran utilities (glob_sum + no signed zero)
 
    IMPLICIT NONE
@@ -153,5 +154,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option         Dummy Module          No LIM-3 sea-ice model
+   !!   Default option         Dummy Module           No ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif
